commit:     26b7cc7a11dbc47039d34d589f538f295d9e1cff
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  3 07:35:01 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov  3 07:35:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26b7cc7a

dev-ruby/redcloth: add 4.3.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/redcloth/Manifest              |  1 +
 dev-ruby/redcloth/redcloth-4.3.3.ebuild | 51 +++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ruby/redcloth/Manifest b/dev-ruby/redcloth/Manifest
index ef9bc8995d3e..5b0f947af9bb 100644
--- a/dev-ruby/redcloth/Manifest
+++ b/dev-ruby/redcloth/Manifest
@@ -1 +1,2 @@
 DIST RedCloth-4.3.2.tar.gz 91880 BLAKE2B 
0feac1ec59e23fcff39e2fdf9beff896be7949764e53a5a834c5f4e7d18813dc59bf354103d4fab82a709341a0f1b6919bbd3a463fd601564888672dbe73d343
 SHA512 
377fef21e646beb1658a4b8b8d0228e9730c6c8f33075a14137afcf80e8d37501ede8c05b720d0dfb36a680017f4dedd01565fe9b326ae06ead77afee6f122ca
+DIST RedCloth-4.3.3.tar.gz 92704 BLAKE2B 
8de97317fa8ed3644a858376cbc73b4dfa91db565ef0a8a9dbbc2002da563eafd0ac975fe2c466519c38df7bb7be40f1f99ac4a7f2217c4a639760a95a32c79e
 SHA512 
d45bad056e7d3d18bc123cc932ee35a808ab19dcee436a715dcccdd081dc6fbc06bbb56f792037fae031951c5b69f864c2fa0e80bf9ccece79789260bf69ca8b

diff --git a/dev-ruby/redcloth/redcloth-4.3.3.ebuild 
b/dev-ruby/redcloth/redcloth-4.3.3.ebuild
new file mode 100644
index 000000000000..cf21150efd70
--- /dev/null
+++ b/dev-ruby/redcloth/redcloth-4.3.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_NAME="RedCloth"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGELOG"
+
+RUBY_FAKEGEM_REQUIRE_PATHS="lib/case_sensitive_require"
+
+RUBY_FAKEGEM_GEMSPEC=redcloth.gemspec
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/redcloth_scan/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="A module for using Textile in Ruby"
+HOMEPAGE="https://github.com/jgarber/redcloth";
+SRC_URI="https://github.com/jgarber/redcloth/archive/v${PV}.tar.gz -> 
${RUBY_FAKEGEM_NAME}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+DEPEND+=" =dev-util/ragel-6*"
+
+ruby_add_bdepend "
+       >=dev-ruby/rake-0.8.7
+       >=dev-ruby/rake-compiler-0.7.1
+       test? ( >=dev-ruby/diff-lcs-1.1.2 )"
+
+all_ruby_prepare() {
+       sed -i -e '/[Bb]undler/d' Rakefile ${PN}.gemspec || die
+       rm -f tasks/{release,rspec,rvm}.rake || die
+
+       # Fix version
+       sed -i -e '/TINY/ s/1/2/' lib/redcloth/version.rb || die
+}
+
+each_ruby_prepare() {
+       ${RUBY} -S rake ext/redcloth_scan/extconf.rb || die
+}

Reply via email to